Package org.apache.sysds.lops.compile.linearization

## Class ILinearize

- java.lang.Object
- - org.apache.sysds.lops.compile.linearization.ILinearize

    public class ILinearize
    extends Object

A interface for the linearization algorithms that order the DAG nodes into a sequence of instructions to execute. https://en.wikipedia.org/wiki/Linearizability#Linearization_points

### Nested Class Summary

Nested Classes
`static class` `ILinearize.DagLinearization`

### Field Summary

Fields
`static org.apache.commons.logging.Log` `LOG`

### Constructor Summary

Constructors
`ILinearize()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<Lop>` `linearize​(List<Lop> v)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG

    public static org.apache.commons.logging.Log LOG

### Constructor Detail

#### ILinearize

    public ILinearize()

### Method Detail

#### linearize

    public static List<Lop> linearize​(List<Lop> v)